Bug 806281 - Avail history table: duration values should be aligned on decimal separator
Avail history table: duration values should be aligned on decimal separator
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.4.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 07:34 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (20.48 KB, image/png)
2012-03-23 07:34 EDT, Heiko W. Rupp
no flags Details
latest avail snapshot (18.29 KB, image/png)
2012-03-29 10:19 EDT, John Mazzitelli
no flags Details

  None (edit)
Description Heiko W. Rupp 2012-03-23 07:34:12 EDT
Created attachment 572247 [details]
Screenshot

If you look at the avail history table durations, the values are hard to read, as they are left-aligned and the value is not separated from the unit

We should 
- align them by decimal separator (dot or comma)
- add a space between value and metric

As a bonus: do I18N of the unit, as 'd' is English only ('t' is German and 'j' is French etc.)

If org.rhq.enterprise.gui.coregui.client.util.MeasurementConverterClient#format
would not encode the unit in the return value, but return 
Tuple<String,MeasurementUnits>, the code in ResourceAvailabilityView could
just  switch-case over the unit and return the appropriate I18Nd unit
Comment 1 John Mazzitelli 2012-03-23 11:14:38 EDT
git commit to master: 86b1a32

reassigning to heiko so he can i18n the appropriate German abbreviations in our Messages_de.properties file... specifically these (all prefixed with common_unit_abbrev_):

common_unit_abbrev_bits = b
common_unit_abbrev_bytes = B
common_unit_abbrev_celsius = C
common_unit_abbrev_days = d
common_unit_abbrev_fahrenheight = F
common_unit_abbrev_gigabits = Gb
common_unit_abbrev_gigabytes = GB
common_unit_abbrev_hours = h
common_unit_abbrev_jiffys = j
common_unit_abbrev_kelvin = K
common_unit_abbrev_kilobits = Kb
common_unit_abbrev_kilobytes = KB
common_unit_abbrev_megabits = Mb
common_unit_abbrev_megabytes = MB
common_unit_abbrev_microseconds = us
common_unit_abbrev_milliseconds = ms
common_unit_abbrev_minutes = m
common_unit_abbrev_nanoseconds = ns
common_unit_abbrev_percentage = %
common_unit_abbrev_petabits = Pb
common_unit_abbrev_petabytes = PB
common_unit_abbrev_seconds = s
common_unit_abbrev_terabits = Tb
common_unit_abbrev_terabytes = TB
Comment 2 John Mazzitelli 2012-03-23 11:18:09 EDT
I had to make a quick, small change - 3c02fe4  - this falls back to the unit's toString rather than "?" for unknown units (though in that case, the developer needs to fix it by adding a new case statement to the code)
Comment 3 Heiko W. Rupp 2012-03-28 04:21:50 EDT
Mazz, what about 
(In reply to comment #0)
> If you look at the avail history table durations, the values are hard to read,
> as they are left-aligned and the value is not separated from the unit
> 
> We should 
> - align them by decimal separator (dot or comma)
> - add a space between value and metric
Comment 4 Heiko W. Rupp 2012-03-29 06:17:48 EDT
master a09e1a53f366224 are DE translations.

Assigning back to mazz for the formatting
Comment 5 John Mazzitelli 2012-03-29 10:19:47 EDT
Created attachment 573683 [details]
latest avail snapshot

see attached snapshot for the latest - notice the space between the value and unit
Comment 6 John Mazzitelli 2012-03-29 10:22:04 EDT
moving to on_qa since I think this addresses everything.

latest commit to master is d11cc40
Comment 7 Heiko W. Rupp 2013-09-01 06:11:00 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.